declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    modelValue: {
        type: StringConstructor;
        required: true;
    };
    /**
     * The label inside the search input
     */
    label: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Adds an id to the input
     */
    inputId: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Result of the search
     */
    results: {
        type: ArrayConstructor;
        required: false;
    };
    /**
     * Appears below the input to hint to the user about what to fill in
     */
    hintText: {
        type: StringConstructor;
        required: false;
    };
    /**
     * If the input has en error
     */
    error: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Error text that appears below the input.
     */
    errorText: {
        type: StringConstructor;
        required: false;
    };
    /**
     * If the result are loading or not
     */
    loading: {
        type: BooleanConstructor;
        required: true;
    };
    /**
     * The message to show in case of disabled results (this is mostly for translation issue)
     */
    disabledResultsMessage: {
        type: StringConstructor;
        required: false;
    };
    /**
     * If you want the add item option to show
     */
    addItem: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Message to show for adding an item (This is mostly for translation issue)
     */
    addItemMessage: {
        type: StringConstructor;
        required: false;
    };
}>, {}, {
    showDropdown: boolean;
    debounce: any;
}, {}, {
    clickOutsideHandler(e: any): void;
    handleInput(e: any): void;
    enterDropdown(event: any): void;
    selectOption(resultId: any): void;
    keyboardNavigation(event: any, ref: any): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: StringConstructor;
        required: true;
    };
    /**
     * The label inside the search input
     */
    label: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Adds an id to the input
     */
    inputId: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Result of the search
     */
    results: {
        type: ArrayConstructor;
        required: false;
    };
    /**
     * Appears below the input to hint to the user about what to fill in
     */
    hintText: {
        type: StringConstructor;
        required: false;
    };
    /**
     * If the input has en error
     */
    error: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Error text that appears below the input.
     */
    errorText: {
        type: StringConstructor;
        required: false;
    };
    /**
     * If the result are loading or not
     */
    loading: {
        type: BooleanConstructor;
        required: true;
    };
    /**
     * The message to show in case of disabled results (this is mostly for translation issue)
     */
    disabledResultsMessage: {
        type: StringConstructor;
        required: false;
    };
    /**
     * If you want the add item option to show
     */
    addItem: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Message to show for adding an item (This is mostly for translation issue)
     */
    addItemMessage: {
        type: StringConstructor;
        required: false;
    };
}>> & Readonly<{}>, {
    error: boolean;
    addItem: boolean;
}, {}, {
    AlertIcon: any;
    ChevronDown: any;
    CloseIcon: any;
    PlusIcon: any;
    AppProgressSpinner: any;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
