declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * If the checkbox is disabled
     */
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Id to connect with the label (use unique id for each checkbox)
     * and the value inserted in multiple selected options
     */
    id: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Size of the checkbox. Accepted values are 'small' and 'regular'.
     */
    size: {
        type: StringConstructor;
        default: string;
        validator(value: unknown): boolean;
    };
    /**
     * Needs this prop to handle the v-model in vue3
     */
    modelValue: {
        type: (BooleanConstructor | ArrayConstructor)[];
        default: boolean;
    };
}>, {}, {}, {
    isChecked(): boolean;
}, {
    checkboxChange(event: any): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * If the checkbox is disabled
     */
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Id to connect with the label (use unique id for each checkbox)
     * and the value inserted in multiple selected options
     */
    id: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Size of the checkbox. Accepted values are 'small' and 'regular'.
     */
    size: {
        type: StringConstructor;
        default: string;
        validator(value: unknown): boolean;
    };
    /**
     * Needs this prop to handle the v-model in vue3
     */
    modelValue: {
        type: (BooleanConstructor | ArrayConstructor)[];
        default: boolean;
    };
}>> & Readonly<{}>, {
    size: string;
    disabled: boolean;
    modelValue: boolean | unknown[];
}, {}, {
    CheckboxIcon: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, SVGSVGElement>;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
