declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * See https://v-tooltip.netlify.app/ for more advanced usage with options.
     * Any popper specific settings should be defined in the `globalPopperOptions` in the data attribute of this component to avoid conflict.
     */
    tooltipOptions: {
        type: ObjectConstructor;
        required: false;
    };
    /**
     * Content of the popover
     */
    content: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Color of the popover background
     */
    backgroundColor: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
    textColor: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
    /**
     * Direction of the popover
     */
    direction: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
}>, {}, {
    isOpen: boolean;
    customId: string;
}, {}, {
    watchForEscOrTabKey(event: any): void;
    closePopOver(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * See https://v-tooltip.netlify.app/ for more advanced usage with options.
     * Any popper specific settings should be defined in the `globalPopperOptions` in the data attribute of this component to avoid conflict.
     */
    tooltipOptions: {
        type: ObjectConstructor;
        required: false;
    };
    /**
     * Content of the popover
     */
    content: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Color of the popover background
     */
    backgroundColor: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
    textColor: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
    /**
     * Direction of the popover
     */
    direction: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
}>> & Readonly<{}>, {
    backgroundColor: string;
    textColor: string;
    direction: string;
}, {}, {}, {
    tooltip: any;
}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
